tools/util/include/cutlass/util/reference/host/gemm_complex.h File Reference

Reference implementation for complex-valued GEMM in host-side code. More...

`#include "cutlass/coord.h"`
`#include "cutlass/complex.h"`
`#include "cutlass/numeric_types.h"`
`#include "cutlass/functional.h"`
`#include "cutlass/numeric_conversion.h"`
`#include "cutlass/matrix_traits.h"`
`#include "cutlass/tensor_view.h"`
`#include "cutlass/gemm/gemm.h"`
Include dependency graph for tools/util/include/cutlass/util/reference/host/gemm_complex.h:

Go to the source code of this file.

## Namespaces

| cutlass
| cutlass::reference
| cutlass::reference::host

## Functions

template<typename ElementA , typename LayoutA , typename ElementB , typename LayoutB , typename ElementC , typename LayoutC , typename ScalarType , typename ComputeType , typename ConvertOp = NumericConverter<ElementC, ScalarType>, typename InnerProductOp = multiply_add<ComputeType>>
void | cutlass::reference::host::GemmComplex (gemm::GemmCoord problem_size, ScalarType alpha, TensorRef< ElementA, LayoutA > tensor_a, ComplexTransform transform_a, TensorRef< ElementB, LayoutB > tensor_b, ComplexTransform transform_b, ScalarType beta, TensorRef< ElementC, LayoutC > tensor_c, ComputeType initial_accum)
template<typename ElementA , typename LayoutA , typename ElementB , typename LayoutB , typename ElementC , typename LayoutC , typename ScalarType >
void | cutlass::reference::host::GemmComplex (gemm::GemmCoord problem_size, ScalarType alpha, TensorRef< ElementA, LayoutA > tensor_a, ComplexTransform transform_a, TensorRef< ElementB, LayoutB > tensor_b, ComplexTransform transform_b, ScalarType beta, TensorRef< ElementC, LayoutC > tensor_c)